@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.13.1/font/bootstrap-icons.min.css");
:root {
  --primary-100:#562E27;
  --primary-200:#603912;
  --bg-100:#E5E5E5;
  --bg-200:#dbdbdb;
  --bg-300:#b3b3b3;
  --bg-menu: #333;
  --bg-modal: #FFFFFF;
  --bg-input: #FFFFFF;
  --bg-border: #E2E8F0;
  --bg-btn: #533314;
  --bg-spinner: #FFF;
  --bg-spinner-4: var(--bg-btn);
  --no-data: var(--primary-100);
  --bg-placeholder: #9E9E9E;
  --bg-cancel: var(--bg-100);
  --bg-solde: #603912;
  --text-found: #9E9E9E;
  --opacity: .6;
}

/* Thème sombre si activé dans le système */
@media (prefers-color-scheme: dark) {
  :root {
    --primary-100:#1A1C23;
    --primary-200: #1A1C23;
    --bg-spinner: #FFF;
    --bg-spinner-4: #FFF;
    --bg-100: #1A1C23;
    --bg-200:#121317;
    --bg-300:#E5E5E5;
    --bg-menu: #9E9E9E;
    --bg-modal: #1A1C23;
    --bg-input: #24262D;
    --bg-border: #4C4F52;
    --bg-btn: #603912;
    --no-data: var(--bg-menu);
    --bg-placeholder: #9E9E9E;
    --bg-cancel: var(--bg-input);
    --bg-solde: var(--bg-input);
    --text-found: #656769;
    --opacity: .8;
  }
}

* {
  padding: 0;
  margin: 0;
}
body {
  -webkit-user-select: none; /* Chrome, Safari, newer Opera */
  -moz-user-select: none;    /* Firefox */
  -ms-user-select: none;     /* Internet Explorer/Edge (legacy) */
  user-select: none;
}
.hr small {
  color: #656769;
  font-size: 13px;
  font-weight: bold;
}
input {
  user-select: text !important;
  -webkit-user-select: text !important;
}
.card-title {
  color: var(--bg-menu) !important;
}
/* Pour Chrome, Safari, Edge (WebKit) */
.c_bg::-webkit-scrollbar,
.c_container::-webkit-scrollbar {
  width: 0;
  height: 0;
  display: none;
}

.c_bg::-webkit-scrollbar-track,
.c_container::-webkit-scrollbar-track {
  border-radius: 0;
}

.c_bg::-webkit-scrollbar-thumb,
.c_container::-webkit-scrollbar-thumb {
  background: transparent;
  border-radius: 0;
}
.one-truncate {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-line-clamp: 1;
}
/* Pour Firefox */
.c_bg,
.c_container {
  scrollbar-width: none; /* Firefox */
  -ms-overflow-style: none; /* Internet Explorer 10+ */
  overflow: auto; /* Nécessaire pour activer le scroll */
}

.c_bg {
  background: var(--bg-200);
}

.modal-content {
  background: var(--bg-modal);
  color: var(--bg-menu);
}
.btn-clos {
  right: 0;
  box-sizing: content-box;
  width: 1em;
  height: 1em;
  padding: .25em .25em;
  color: var(--bg-menu);
  background: transparent var(--bs-btn-close-bg) center / 1em auto no-repeat;
  filter: var(--bs-btn-close-filter);
  border: 0;
  border-radius: .375rem;
  opacity: var(--bs-btn-close-opacity);
  font-weight: bolder;
}
.modal-content,
.modal-header,
.modal-footer,
.modal-body {
  border: none;
}

.modal-header {
  border-top-left-radius: 8px;

}
.cancel-action {
  position: fixed;
  bottom: 3px;
  right: 0;
  left: 0;
  display: none;
}
.delete-cancel {
  border-radius: 8px;
  background-color: var(--bg-100);
  color: var(--bg-menu);
}
.modal-body {
  border-bottom: 1px solid var(--bg-border);
  border-top: 1px solid var(--bg-border);
}
.c_container{
  width: 100%;
  max-width: 100%;
  min-height: 100vh;
  overflow-y: auto;
  padding-bottom: 70px;
}

.modal-content {
  border-top-left-radius: 15px !important;
  border-top-right-radius: 15px !important;
}
.c_contaier-2{
  width: 100%;
  max-width: 100%;

}
.form-control, .form-select, .form-control:focus, .form-select:focus {
  background: var(--bg-input);
  border-color: var(--bg-border);
  outline-color: var(--bg-input);
  color: var(--bg-menu);
}
.form-control::placeholder, .form-select::placeholder {
    color: var(--bg-placeholder);
}
.form-select, .form-select:focus {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: right 0.75rem center;
  background-size: 1rem;
  padding-right: 2.5rem;
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
}
.btn-cancel {
  background: var(--bg-cancel);
}
label {
  color: var(--bg-menu);
}
.c_cover {
  width: 100%;
  background: var(--primary-100);
  min-height: 60vh;
  /* border-bottom-left-radius: 12px; */
  /* border-bottom-right-radius: 12px; */
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  color: var(--bg-300);
  background-image: linear-gradient(rgba(0, 0, 0,  var(--opacity)), rgba(0, 0, 0, var(--opacity))), url(../img/bg.png);

}
.bg-home {
  margin-top: -20vh;
  background: var(--bg-200);
  border-top-left-radius: 20px;
  border-top-right-radius: 20px;
}
.c_cover .c_logo {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.c_cover .img-logo, .user-img .img-logo {
  width: 100px;
  height: 100px;
  margin: auto;
  object-fit: cover;
  margin-bottom: 15px;
}
.user-img .img-logo {
  width: 60px;
  height: 60px;
  border: 3px solid var(--bg-menu);
  border-radius: 50%;
}
.card {
    cursor: pointer;
} .c_menu {
  width: 100%;
  height: 60px;
  background: var(--bg-100);
  padding: 0 20px;
  bottom: 0;
  position: fixed;
}
.c_menu .c_menu_list {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 100%;
  padding: 5px;
}
.c_menu .c_menu_list li {
  list-style: none;
  /* margin: 0 10px; */
}
.c_menu .c_menu_list .items {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  color: var(--bg-menu);
  font-size: 1.2rem;
  font-weight: 700;
}
.card-text {
  font-size: 14px;
  color: var(--bg-menu);
  margin-top: 10px;
}
.sub-text {
  font-size: 12px;
  color: var(--bg-menu);
  margin-top: 10px;
}
.c_menu .c_menu_list .items i {
  font-size: 24px;
}
.c_menu .items {
  cursor: pointer;
  font-weight: 600;
  font-size: 12px;
}

.c_menu .c_menu_list .items small {
  font-size: 12px;
}

.i_transaction {
  border-radius: 50%;
  display: flex;
  font-size: 2.5rem;
  align-items: center;
  justify-content: center;
  /* background: var(--primary-200); */
  margin: auto;
  /* color: #fff; */
}
.bg-1 {
  color: #A87B4F;
}
.bg-2 {
  color: #4D73BA;
}
.bg-3 {
  color: #9194F3;
}
.bg-4 {
  color: #EE7521;
}
.bg-5 {
  color: #A03A14;
  font-size: 9rem;
}
.bg-6 {
  color: #2d88a1;
}
.bg-7 {
  color: #246d37;
}
.bg-8 {
  color: #562E27;
}
.bg-9 {
  color: #4C6AFD;
}
.card {
    background-color: var(--bg-100);
}
.btn {
  color: var(--bg-menu);
}

.rotate-right {
  transform: rotate(180deg);
}

/* transfert-page */
.header, .settings-header {
  width: 100%;
  height: 60px;
  background: var(--primary-100);
  display: flex;
  align-items: center;
  justify-content: start;
  color: var(--bg-300);
  padding: 0 15px;
  position: fixed;
  top: 0;
  z-index: 1000;
  padding-top: 15px;
}
.c_bg-primary {
    background: var(--primary-200);
}
.no-data {
  height: 75vh;
}
.no-data h3 {
  color: var(--no-data);
  text-align: center;
  font-size: 1.2rem;
}
.no-data p {
  color: var(--no-data);
  text-align: center;
  font-size: 1rem;
}
.no-data i {
  font-size: 5rem;
  color: var(--no-data);
}
.transfert_container {
  padding-top: 3rem;
}
.header p {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
}

.back {
  margin-right: 10px;
  font-size: 1.5rem;
  cursor: pointer;
}
.refresh, .option {
  font-weight: bolder;
  font-size: 1.5rem;
  cursor: pointer;
}
.solde {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: auto;
  max-width: 35%;
  font-size: 17px;
  font-weight: 500;
  margin-top: 25px;
}
.title-welcome {
  font-size: 20px;
  margin: 0 auto;
  text-align: center;
}
.option {
  margin-left: 10px;
}
.floating-btn {
  width: 60px;
  height: 60px;
  position: fixed;
  bottom: 15px;
  right: 15px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  border-radius: 50%;
  background: var(--bg-btn);
  color: #fff;
  font-size: 1.5rem;
  font-weight: bolder;
  cursor: pointer;
  z-index: 1000; /* bouton par défaut */
}

.user-img img {
  width: 50px;
  height: 50px;
  object-fit: cover;
  padding: 2px;

}
.user-img {
  align-items: center;
  height: 100%;
}
.user-img i {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1.5rem;
  margin: auto;
  padding: 20px;
  border-radius: 50%;
  background: var(--bg-menu);
  color: #fff;
  width: 60px;
  height: 60px;
}

.modal {
  width: 100%;
  padding: 0;
  margin: 0;
  position: fixed;
  bottom: 0;
}
/* Fixer le modal en bas */
.modal-bottom {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  margin: 0;
  width: 100%;
  max-width: 100%;
}

.modal-bottom .modal-content {
  border-radius: 0;
}

/* Animation personnalisée */
.slide-up .modal-dialog {
  transform: translateY(100%);
  transition: transform 0.4s ease-out;
}

.slide-up.show .modal-dialog {
  transform: translateY(0);
}

.btn-primary, .btn-primary:hover, .btn-primary:focus {
  background: var(--bg-btn);
  border-color: var(--bg-btn);
  color: #fff;
}

.page {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: white;
  z-index: 1000;
}

.slide-up {
  animation: slideUp 0.3s ease-out forwards;
}

.slide-down {
  animation: slideDown 0.3s ease-out forwards;
}

.item {
  transition: transform 0.3s ease, opacity 0.3s ease;
  touch-action: pan-y;
}
.item.removed {
  transform: translateX(-100%);
  opacity: 0;
}
.item.updated {
  transform: translateX(100%);
  opacity: 0;
}


@keyframes slideUp {
  from {
    opacity: 0;
    transform: translateY(100%);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes slideDown {
  from {
    opacity: 0;
    transform: translateY(-100%);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
.hr {
  border-bottom: 1px solid var(--bg-border);
  margin: 10px 0;
  padding: 2.5px 5px;
}
.solde {
  border: 3px solid var(--bg-solde);
  border-radius: 8px;
}
.spinner, .spinner-2, .spinner-3, .spinner-4 {
  margin: auto;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  animation: spin 1s linear infinite; /* Animation de rotation */
}

.spinner{
  border: 4px solid var(--primary-200); /* Couleur de fond */
  border-top: 2px solid transparent; /* Couleur du spinner */
}
.spinner-2 {
  border: 2px solid var(--bg-spinner); /* Couleur de fond */
  border-top: 2px solid transparent; /* Couleur du spinner */
  width: 20px;
  height: 20px;
}
.spinner-3 {
  width: 10px;
  height: 10px;
  border: 2px solid var(--bg-spinner); /* Couleur de fond */
  border-top: 2px solid transparent; /* Couleur du spinner */
}
.spinner-4 {
  width: 30px;
  height: 30px;
  border: 4px solid var(--bg-spinner-4); /* Couleur de fond */
  border-top: 2px solid transparent; /* Couleur du spinner */
}
@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
.user_list, .user_list2 {
  background: var(--bg-modal);
  border-top-right-radius: 10px;
  border-top-right-radius: 10px;
}
.login_card {
  background: var(--bg-modal);
}
.text-primary {
  color: #533314 !important;
}
.load-more, .load-more:hover, .load-more:focus {
  background: var(--bg-100);
  border: 0 !important;
  outline: 0 !important;
  color: var(--bg-menu);
}

/* Hie all btn  */
/* Hide content  */
.transfert-page, .depot-page, .achat-page, .users-page, .settings-page, .report-page, .user_list, .planteur-page, .expedition-page, .reglement-page, .exportation-page, .stock-page, .traitement-page, .traitement_prix, .traitement_acheteur, .caisse-page,
#btn_transfert, #btn_depot, #header, #btn_achat, #btn_agent, #btn_planteur, #btn_expedition, #btn_exportation, #btn_traitement, #btn_caisse{
  display: none;
}

/* Settings page  */
.settings-cover {
  width: 100%;
  min-height: 47vh;
  background: var(--primary-100);
  color: var(--bg-300);
}
.settings-container {
  min-height: calc(100vh - 35vh);
  background: var(--bg-200);
  border-top-left-radius: 20px;
  border-top-right-radius: 20px;
  margin-top: -30px;
  padding-bottom: 0;
}
.settings-header {
  background: var(--primary-100) !important;
  height: 50px;
}
.settings-header i {
  font-size: 1.3rem;
}
.text-center small b {
  color: var(--bg-border);
  font-size: 1.2rem;
}
.settings-cover .img-profile {
  margin: auto;
  position: relative;
  width: 100%;
  display: flex;
  justify-content: center;
}
.settings-cover .img-profile img {
  width: 120px;
  height: 120px;
  margin: auto;
  margin-top: 80px;
  border-radius: 50%;
  border: 4px solid var(--bg-300);
  object-fit: cover;
}
.settings-cover .img-profile i {
  border-radius: 50%;
  position: absolute;
  bottom: -20px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px;
  border: 4px solid var(--bg-300);
  color: var(--bg-300);
  background: var(--primary-100);
  margin-left: 50px;
  margin-bottom: 10px;
}
.text-found {
  color: var(--text-found);
  font-size: 15px;
  font-weight: 600;
}
.settings-text {
  color: var(--bg-menu);
}
.user-info {
  width: 100%;
  height: 100%;
}
.user-info h4 {
  font-weight: bold;
  font-size: 1.5rem;
}
.i_profiles {
  padding: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  font-size: 1.3rem;
}
.icon-lg{
  font-size: 1.6rem;
}
.desc {
  font-weight: 400;
  font-size: 16px;
}
.new-btn, .btn-cancel {
  width: 100%;
  padding: 10px 0;
  border-radius: 30px;
  font-size: 17px;
  font-weight: 400;
}
.toast {
  border-radius: 0 !important;
}
/* Settings page  */

/* login-cover */
.login-cover {
  background: var(--primary-100);
  min-height: 45vh;
}
.login-cover .logo {
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 40px;
}
.login-cover .logo img {
  width: 100px;
  height: 100px;
  object-fit: cover;
}
.login-cover .text {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 20px;
  flex-direction: column;
  color: white;
  text-align: center;
}
.text h4 {
  font-size: 700;
  font-size: 2rem;
  padding: 10px;
}
.text p {
  padding: 0 10px;
}
.login-container {
  display: flex;
  align-items: center;
  background: var(--bg-200);
  min-height: calc(55vh + 20px);
  margin-top: -20px;
  border-top-right-radius: 25px;
  border-top-left-radius: 25px;
}
.card-login {
  padding: 50px 10px;
  width: 100%;

}
.card-l {
  border-radius: 18px !important;
  padding: 0 10px;
}
.card-login input {
  padding: 10px;
  /* background: transparent; */
  width: 100%;
  padding: 10px;
  border: 2px solid var(--bg-border);
}

.password-container {
    position: relative;
    display: inline-block;
    width: 100%;
}

.password-container input {
    padding-right: 35px; /* Pour laisser de la place à l'icône */
    width: 100%;
}
.eye-icon {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    font-size: 18px;
    color: #6E7074;
}

  /* Switch non activé */
  #clear_session.form-check-input {
    background-color: var(--bg-input);
    border-color: var(--bg-border);
  }

  /* Switch activé */
  #clear_session.form-check-input:checked {
    background-color: var(--bg-btn); /* Vert */
    border-color: var(--bg-btn);
  }

  /* Couleur du curseur rond */
  #clear_session.form-check-input::before {
    background-color: var(--bg-menu);
  }


@media (max-width: 768px) {
  .c_container .c_menu {
    padding: 0 10px;
  }
}